Page MenuHomePhabricator

the flow-rev-message-locked-topic-irc message must be documented or removed
Closed, ResolvedPublic

Description

The message flow-rev-message-locked-topic-irc is not documented. It also doesn't seem to be used in the code of the extension, but I might be missing something.

Among other things, there needs to be an explanation of what it is and why is it ignored. If it's for IRC, that can be an explanation, but there are IRC channels in other languages and not only English. If it's only English, then GENDER is probably not needed.

Event Timeline

Amire80 created this task.Jun 10 2015, 7:25 AM
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 10 2015, 7:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 217432 had a related patch set uploaded (by Mattflaschen):
Point from -irc messages to main messages, and make it more greppable

https://gerrit.wikimedia.org/r/217432

I've put up a simple change to point to the main messages from the qqq ones; it is in use. I'm not sure why it's notranslate. As for GENDER, I see no reason to remove it; it's not causing extra work for translators if it's notranslate anyway.

Change 217432 merged by jenkins-bot:
Point from -irc messages to main messages, and make it more greppable

https://gerrit.wikimedia.org/r/217432

Restricted Application added a subscriber: Mjbmr. · View Herald TranscriptJun 13 2015, 12:17 AM

Can we mark this as resolved?

Mattflaschen-WMF closed this task as Resolved.Jan 12 2016, 12:16 AM
Restricted Application removed a subscriber: Mjbmr. · View Herald TranscriptJan 12 2016, 12:16 AM